# Gamebase Authentication Weibo Adapter for Android

## Dependencies
```xml
<dependency>
  <groupId>com.sina.weibo.sdk</groupId>
  <artifactId>core</artifactId>
  <version>10.10.0</version>
  <type>aar</type>
  <classifier>openDefaultRelease</classifier>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>com.toast.android.gamebase</groupId>
  <artifactId>gamebase-sdk</artifactId>
  <version>2.19.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlin</groupId>
  <artifactId>kotlin-android-extensions-runtime</artifactId>
  <version>1.3.72</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlin</groupId>
  <artifactId>kotlin-stdlib-jdk7</artifactId>
  <version>1.3.72</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlinx</groupId>
  <artifactId>kotlinx-coroutines-android</artifactId>
  <version>1.3.8</version>
  <scope>compile</scope>
</dependency>
```

## Release Note

| Date | Weibo Adapter Version | Gamebase SDK Version | Weibo SDK Version | Description |
| ---- | --------------------- | -------------------- | ----------------- | ----------- |
| 2020.12.29 | 2.19.0   | 2.19.0 ~          | 10.10.0 | - Initial version |
| 2020.12.29 | 2.19.1   | 2.19.0 ~          | 10.10.0 | - Handle the issue of Weibo SDK where login callbacks are called multiple times. |